
Redmine - Defect #10164

inconsistent field in "News" REST API: "user name"

2012-02-07 06:34 - Alex Last

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 1.3.0

Description

Redmine 1.3.0 REST API returns this in "news" section:

<author name="rest last" id="95"/>

there's no such field as "name" for users in Redmine.

there are:

first name

last name

login

 suggestion: provide all three values in "author" section: first, last names plus login.

e.g.:

<author firstName="myFirst" lastName="mylast" login="user1" id="95"/>

History

#1 - 2013-03-18 10:50 - Daniel Felix

- Status changed from New to Needs feedback

Is this still appearing after Redmine 2.3 has splitter the username in first and last name?

Otherwise this could be a 2.4 goal?

#2 - 2013-03-18 18:11 - Alex Last

I see the last released Redmine is 2.2.3. I can check when 2.3 is out.

#3 - 2013-09-01 23:00 - Jan Niggemann (redmine.org team member)

Any update on this?

#4 - 2015-08-23 17:16 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to Closed

- Resolution set to No feedback
